[arch-commits] Commit in (physfs physfs/repos physfs/trunk physfs/trunk/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Nov 6 14:51:14 EST 2009


    Date: Friday, November 6, 2009 @ 14:51:14
  Author: eric
Revision: 58251

Dependency of neverball. Moving to extra (close FS#16935)

Added:
  physfs/
  physfs/repos/
  physfs/trunk/
  physfs/trunk/PKGBUILD

----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

Added: physfs/trunk/PKGBUILD
===================================================================
--- physfs/trunk/PKGBUILD	                        (rev 0)
+++ physfs/trunk/PKGBUILD	2009-11-06 19:51:14 UTC (rev 58251)
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 1214 2009-08-14 01:36:33Z dgriffiths $
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Bjorn Lindeijer <bjorn lindeijer nl>
+
+pkgname=physfs
+pkgver=2.0.0
+pkgrel=2
+pkgdesc="A library to provide abstract access to various archives."
+arch=('i686' 'x86_64')
+url="http://icculus.org/physfs/"
+license=('zlib')
+depends=('zlib')
+makedepends=('cmake')
+source=(http://icculus.org/physfs/downloads/${pkgname}-${pkgver}.tar.gz)
+md5sums=('cfc53e0c193914c9c5ab522e58737373')
+sha1sums=('3cfa291a82f2b0cf15b205efcf8bf53c0b54c92c')
+
+build() {
+    cd "${srcdir}/${pkgname}-${pkgver}"
+    export CFLAGS="$CFLAGS -fno-strict-aliasing"
+    export CXXFLAGS="$CXXFLAGS -fno-strict-aliasing"
+    cmake . -DCMAKE_INSTALL_PREFIX=/usr || return 1
+    make || return 1
+    make DESTDIR="${pkgdir}" install || return 1
+    install -D -m644 LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
+}



More information about the arch-commits mailing list